<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <TextView
        android:id="@+id/tv_method_title_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp20"
        android:paddingTop="@dimen/dp10"
        android:paddingBottom="@dimen/dp10"
        android:text="@string/vivo_pay_payment_method"
        android:textColor="@color/vivo_pay_checkout_commodity_text_color"
        android:textSize="@dimen/sp15" />

    <RelativeLayout
        android:id="@+id/total_method_item"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_method_title_tip"
        android:background="@drawable/common_rv_item_ripple">

        <RelativeLayout
            android:id="@+id/v_coin_info_bar_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp68">

            <ImageView
                android:id="@+id/img_v_coin_icon"
                android:layout_width="@dimen/dp32"
                android:layout_height="@dimen/dp32"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/dp20"
                android:background="@drawable/v_coin_icon" />

            <ImageView
                android:id="@+id/img_payment_vcoin_recommend"
                android:layout_width="@dimen/dp72"
                android:layout_height="@dimen/dp17"
                android:src="@drawable/pay_method_recommend"
                android:visibility="gone" />

            <TextView
                android:id="@+id/tv_v_coin_balance"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp68"
                android:layout_marginTop="@dimen/dp14"
                android:text="@string/vivo_pay_vcoin"
                android:textColor="@android:color/black"
                android:textSize="@dimen/sp14" />

            <TextView
                android:id="@+id/tv_rate_of_v_coin_exchange"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_v_coin_balance"
                android:layout_alignStart="@id/tv_v_coin_balance"
                android:layout_marginTop="@dimen/dp1"
                android:textColor="@color/vivo_pay_checkout_tax_mark_text_color"
                android:textSize="@dimen/sp12" />

            <ImageView
                android:id="@+id/img_question_icon"
                android:layout_width="@dimen/dp15"
                android:layout_height="@dimen/dp15"
                android:layout_below="@id/tv_v_coin_balance"
                android:layout_marginTop="@dimen/dp2_5"
                android:layout_toEndOf="@id/tv_rate_of_v_coin_exchange"
                android:background="@drawable/question_icon" />

            <TextView
                android:id="@+id/tv_account_login"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_v_coin_balance"
                android:layout_marginStart="@dimen/dp9"
                android:layout_marginTop="@dimen/dp1"
                android:layout_toEndOf="@id/img_question_icon"
                android:text="@string/vivo_pay_account_login"
                android:textColor="@drawable/common_textview_click_selected"
                android:textSize="@dimen/sp12"
                android:visibility="visible" />

            <TextView
                android:id="@+id/tv_v_coin_recharge"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_v_coin_balance"
                android:layout_marginStart="@dimen/dp9"
                android:layout_marginTop="@dimen/dp1"
                android:layout_toEndOf="@id/img_question_icon"
                android:text="@string/vivo_pay_vcoin_account_recharge"
                android:textColor="@drawable/common_textview_click_selected"
                android:textSize="@dimen/sp12"
                android:visibility="gone" />

            <RadioButton
                android:id="@+id/v_coin_selected_checkbox"
                android:layout_width="@dimen/dp30"
                android:layout_height="@dimen/dp30"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="@dimen/dp17"
                android:clickable="false"
                android:focusable="false"
                android:button="@null"
                android:background="?android:attr/listChoiceIndicatorSingle"
                android:theme="@style/RadioButton" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/method_item"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp60"
            android:background="@drawable/common_rv_item_ripple">

            <ImageView
                android:id="@+id/img_payment_method_icon"
                android:layout_width="@dimen/dp32"
                android:layout_height="@dimen/dp32"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/dp20"
                android:background="@drawable/default_method_icon"
                android:scaleType="center" />

            <ImageView
                android:id="@+id/img_payment_recommend"
                android:layout_width="@dimen/dp72"
                android:layout_height="@dimen/dp17"
                android:src="@drawable/pay_method_recommend"
                android:visibility="gone"/>

            <TextView
                android:id="@+id/tv_payment_method_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/dp16"
                android:layout_toEndOf="@id/img_payment_method_icon"
                android:textColor="@color/vivo_pay_carrier_select_title_color"
                android:textSize="@dimen/sp14" />

            <RadioButton
                android:id="@+id/pay_method_selected_checkbox"
                android:layout_width="@dimen/dp30"
                android:layout_height="@dimen/dp30"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="@dimen/dp17"
                android:clickable="false"
                android:focusable="false"
                android:button="@null"
                android:background="?android:attr/listChoiceIndicatorSingle"
                android:theme="@style/RadioButton" />

            <com.vivo.unionpay.embedded.pay.core.customview.IconsLayout
                android:id="@+id/pay_method_icons_layout"
                android:layout_toStartOf="@+id/pay_method_selected_checkbox"
                android:layout_marginEnd="@dimen/dp12"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"/>
        </RelativeLayout>

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/layout_security_statements"
        android:layout_below="@id/total_method_item"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone">

        <com.vivo.unionpay.embedded.pay.core.customview.SmartTextView
            android:id="@+id/tv_payment_of_security_statements"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp20"
            android:layout_marginTop="@dimen/dp15"
            android:layout_marginEnd="@dimen/dp20"
            android:layout_marginBottom="@dimen/dp30"
            android:text="@string/vivo_pay_payment_disclaimer"
            android:textColor="@color/vivo_pay_checkout_tax_mark_text_color"
            android:textSize="@dimen/sp12"
            app:heightRatio="1.5" />
    </LinearLayout>

</RelativeLayout>